From fa2a8e9e37e57992f24b80e4e9dced94e1ccde18 Mon Sep 17 00:00:00 2001
From: Chia-I Wu <olv@openmoko.com>
Date: Tue, 28 Oct 2008 16:48:24 +0800
Subject: [PATCH] fastboot: alsa-state

---
 packages/alsa/alsa-state.bb                  |    1 +
 packages/alsa/alsa-state/openmoko/alsa-state |   29 ++++++++++++++++++++++++++
 2 files changed, 30 insertions(+), 0 deletions(-)
 create mode 100755 packages/alsa/alsa-state/openmoko/alsa-state

diff --git a/packages/alsa/alsa-state.bb b/packages/alsa/alsa-state.bb
index b77f675..d4dfce0 100644
--- a/packages/alsa/alsa-state.bb
+++ b/packages/alsa/alsa-state.bb
@@ -19,6 +19,7 @@ inherit update-rc.d
 
 INITSCRIPT_NAME = "alsa-state"
 INITSCRIPT_PARAMS = "defaults 10"
+INITSCRIPT_PARAMS_openmoko = "start 39 S ."
 
 do_install() {
     install -d ${D}${sysconfdir}/init.d
diff --git a/packages/alsa/alsa-state/openmoko/alsa-state b/packages/alsa/alsa-state/openmoko/alsa-state
new file mode 100755
index 0000000..84cdf03
--- /dev/null
+++ b/packages/alsa/alsa-state/openmoko/alsa-state
@@ -0,0 +1,29 @@
+#! /bin/sh
+#
+# Copyright Matthias Hentges <devel@hentges.net> (c) 2007
+# License: GPL (see http://www.gnu.org/licenses/gpl.txt for a copy of the license)
+#
+# Filename: alsa-state
+# Date: 20070308 (YMD)
+
+
+asound_restore(){
+	echo "ALSA: Restoring mixer settings..."
+	if test -x /usr/sbin/alsactl -a -e /etc/asound.state
+	then
+		/usr/sbin/alsactl -f /etc/asound.state restore &
+	fi
+}
+
+asound_store(){
+	echo "ALSA: Storing mixer settings..."
+	if test -x /usr/sbin/alsactl
+	then
+		/usr/sbin/alsactl -f /etc/asound.state store
+	fi
+}
+
+case "$1" in
+start)		asound_restore ;;
+stop)		asound_store ;;
+esac
-- 
1.5.6.3

